#!/bin/bash

. ./params.txt


##############
echo "Uploading CA cert for docker registry..."
if [ "$DOCKER_REGISTRY_IP" ] && [ "$DOCKER_REGISTRY_CA_CRT" ]; then
  echo "Uploading CA cert for docker registry at $DOCKER_REGISTRY_IP"
  RESULT=`curl -s -F "file=@$DOCKER_REGISTRY_CA_CRT" http://$ADAPT_IP:$ADAPT_PORT/certs/registry/$DOCKER_REGISTRY_IP | $JQ_HOME/jq -r '.result'`
	if [ "$RESULT" != "success" ]; then
		echo "Error in POST operation. Exiting"
		exit 1
	fi
fi
